    001/*
    002 * Licensed to the Apache Software Foundation (ASF) under one
    003 * or more contributor license agreements.  See the NOTICE file
    004 * distributed with this work for additional information
    005 * regarding copyright ownership.  The ASF licenses this file
    006 * to you under the Apache License, Version 2.0 (the
    007 * "License"); you may not use this file except in compliance
    008 * with the License.  You may obtain a copy of the License at
    009 *
    010 * http://www.apache.org/licenses/LICENSE-2.0
    011 *
    012 * Unless required by applicable law or agreed to in writing,
    013 * software distributed under the License is distributed on an
    014 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    015 * KIND, either express or implied.  See the License for the
    016 * specific language governing permissions and limitations
    017 * under the License.
    018 */
    019package org.apache.commons.compress.archivers;
    020
    021import java.util.Date;
    022
    023/**
    024 * Represents an entry of an archive.
    025 */
    026public interface ArchiveEntry {
    027
    028    /**
    029     * Gets the name of the entry in this archive. May refer to a file or directory or other item.
    030     *
    031     * @return The name of this entry in the archive.
    032     */
    033    String getName();
    034
    035    /**
    036     * Gets the uncompressed size of this entry. May be -1 (SIZE_UNKNOWN) if the size is unknown
    037     *
    038     * @return the uncompressed size of this entry.
    039     */
    040    long getSize();
    041
    042    /** Special value indicating that the size is unknown */
    043    long SIZE_UNKNOWN = -1;
    044
    045    /**
    046     * Returns true if this entry refers to a directory.
    047     *
    048     * @return true if this entry refers to a directory.
    049     */
    050    boolean isDirectory();
    051
    052    /**
    053     * Gets the last modified date of this entry.
    054     *
    055     * @return the last modified date of this entry.
    056     * @since 1.1
    057     */
    058    Date getLastModifiedDate();
    059}